Bug 116096 - (SATA SIL) Si3112A driver causes Assertion Failed in libata
(SATA SIL) Si3112A driver causes Assertion Failed in libata
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
:
: 156392 (view as bug list)
Depends On:
Blocks: FC2Blocker FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-02-18 03:24 EST by Joe Votour
Modified: 2013-07-02 22:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:48:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of dmesg when failed assertion occurs (crash.txt) (15.25 KB, text/plain)
2004-02-18 03:25 EST, Joe Votour
no flags Details
Output of dmesg when Si3112A is disabled (okay.txt) (11.82 KB, text/plain)
2004-02-18 03:26 EST, Joe Votour
no flags Details

  None (edit)
Description Joe Votour 2004-02-18 03:24:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
I have a Soyo SY-P4I875P motherboard that contains an Intel 875P
chipset.  The controllers on it are the ICH5 (IDE/SATA), HPT372 (IDE
RAID) and Silicon Image 3112A (SATA RAID).  The HPT372 isn't used,
since I have no drives connected to it.

Connected are:
ICH5 SATA: 2 x IDE hard drives with SATA adapters
ICH5 IDE: 2 x DVD-ROM (actually, 1 DVD-ROM, 1 DVD-R) - connected on
secondary channel
Si3112A: 2 x IDE hard drives with SATA adapters

The BIOS is setup in Combined Mode, so that the SATA drives on the
ICH5 become primary master/slave, and the DVD-ROM/DVD-R become
secondary master/slave.

When the Si3112A SATA chipset is disabled on the motherboard (through
the BIOS), everything is fine, and the output from dmesg is in the
attachment okay.txt.  When the Si3112A chipset is enabled on the
motherboard, there are Assertion failures on the DVD-ROM and DVD-R
drives (crash.txt):
ata2: PATA max UDMA/33 cmd 0x170 ctl 0x376 bmdma 0xF008 irq 15
ata2: dev 0 cfg 49:0f00 82:0218 83:4000 84:4000 85:0218 86:0000
87:4000 88:101f
Assertion failed! dev->class ==
ATA_DEV_ATA,drivers/scsi/libata-core.c,ata_dev_p
arse_strings,line=691
ata2: dev 0 ATAPI, max UDMA/66
ata2: dev 1 cfg 49:0f00 82:0218 83:4000 84:4000 85:0218 86:0000
87:4000 88:0407
Assertion failed! dev->class ==
ATA_DEV_ATA,drivers/scsi/libata-core.c,ata_dev_p
arse_strings,line=691
ata2: dev 1 ATAPI, max UDMA/33
ata2: dev 0 configured for UDMA/33
ata2: dev 1 configured for UDMA/33

Note that crash.txt is a bit incomplete, because of the multiple
Si3112A error messages.  I believe that this is unrelated since I have
seen it on the kernel mailing list archives with real SATA drives
(just in case it is the SATA adapters causing the problem).

This setup also fails under Fedora Core 1 (I believe with the same
issue, I didn't do too much testing), but works fine under Knoppix 3.3
(using the 2.4.22 kernel).  The error messages from the Si3112A driver
also appear in Knoppix, but I do not have any problems with the
DVD-ROM/DVD-R drives.

Version-Release number of selected component (if applicable):
kernel-2.6.2-1.85 and kernel-2.6.1-1.65

How reproducible:
Always

Steps to Reproduce:
1. In BIOS of motherboard, enable SATA on the ICH5, and set it to
"combined" mode, when the SATA drives being primary and the IDE drives
being secondary
2. Enable Si3112A SATA controller in motherboard BIOS
3. Boot machine.  Fails every time, DVD-ROM is not available, but
drives on Si3112A are.
    
4. Go into motherboard BIOS, disable Si3112A SATA controller.
5. Boot machine.  Works fine (although I can't use the hard drives
connected to that controller)

Expected Results:  Knoppix 3.3 works with this configuration, so I
would hope that Fedora can as well (I prefer Fedora to Knoppix).

Additional info:

Attached are two dumps from dmesg, "okay.txt" and "crash.txt". 
Okay.txt is with the Si3112A disabled, crash.txt is when it is
enabled, causing libata to have problems.
Stock Fedora Core 2 Test 1 is affected, as is an upgrade to
kernel-2.6.2-1.85.

From crash.txt:
ata2: PATA max UDMA/33 cmd 0x170 ctl 0x376 bmdma 0xF008 irq 15
ata2: dev 0 cfg 49:0f00 82:0218 83:4000 84:4000 85:0218 86:0000
87:4000 88:101f
Assertion failed! dev->class ==
ATA_DEV_ATA,drivers/scsi/libata-core.c,ata_dev_p
arse_strings,line=691
ata2: dev 0 ATAPI, max UDMA/66
ata2: dev 1 cfg 49:0f00 82:0218 83:4000 84:4000 85:0218 86:0000
87:4000 88:0407
Assertion failed! dev->class ==
ATA_DEV_ATA,drivers/scsi/libata-core.c,ata_dev_p
arse_strings,line=691
ata2: dev 1 ATAPI, max UDMA/33
ata2: dev 0 configured for UDMA/33
ata2: dev 1 configured for UDMA/33
Comment 1 Joe Votour 2004-02-18 03:25:25 EST
Created attachment 97781 [details]
Output of dmesg when failed assertion occurs (crash.txt)
Comment 2 Joe Votour 2004-02-18 03:26:02 EST
Created attachment 97782 [details]
Output of dmesg when Si3112A is disabled (okay.txt)
Comment 3 Jeremy Katz 2004-05-06 23:31:18 EDT
Does this happen with newer kernels?
Comment 4 Joe Votour 2004-05-13 02:08:29 EDT
Yes.

Although I'm not completely sure about the crash under Fedora Core 2
Test 3, my CD-ROMs are inaccessible during the installation, so
there's still a problem.

Using a vanilla 2.6.5 (from kernel.org) on my Slackware partition
reveals that there's a problem with the vanilla kernel as well - I'm
seeing the libata exception.

For now, this is not much of an issue, since I'm using a Promise SATA
card, which seems to work much better than the Sil3112A.

-- Joe
Comment 5 Dave Jones 2005-04-16 00:48:51 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 6 Stig Nielsen 2005-04-30 19:20:22 EDT
It looks like some funky hardware limitations:
"When using a non Windows XP system, only 4 harddisks/IDE devices are supported
at the same time on IDE 1,2 and SATA 1,2. Windows XP systems can support all 6
devices on these ports (2 SATA, 4 parallel ATA/ATAPI devices)."
http://www.soyogroup.com/kb/kbdesc.php?id=160
Comment 7 Stig Nielsen 2005-04-30 19:27:39 EDT
*** Bug 156392 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.